"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 23.08.21

"""

# Codelist definitions
CODELIST_BASE_URL = "https://codelisten.naturschutz.rlp.de/repository/referenzliste"

# Identifier
CODELIST_INTERVENTION_HANDLER_ID = 903  # CLMassnahmeträger
CODELIST_CONSERVATION_OFFICE_ID = 907  # CLNaturschutzbehörden
CODELIST_REGISTRATION_OFFICE_ID = 1053  # CLZulassungsbehörden
CODELIST_BIOTOPES_ID = 654  # CL_Biotoptypen
CODELIST_AFTER_STATE_BIOTOPES__ID = 974  # CL-KSP_ZielBiotoptypen - USAGE HAS BEEN DROPPED IN 2022 IN FAVOR OF 654
CODELIST_BIOTOPES_EXTRA_CODES_ID = 975  # CLZusatzbezeichnung
CODELIST_LAW_ID = 1048  # CLVerfahrensrecht
CODELIST_PROCESS_TYPE_ID = 44382  # CLVerfahrenstyp

CODELIST_HANDLER_ID = 1052  # CLEingreifer
CODELIST_COMPENSATION_ACTION_ID = 1026  # CLMassnahmedetail
CODELIST_COMPENSATION_ACTION_DETAIL_ID = 1035  # CLZusatzmerkmal
CODELIST_COMPENSATION_ACTION_CLASS_ID = 1034  # CLMassnahmeklasse
CODELIST_COMPENSATION_ADDITIONAL_TYPE_ID = 1028  # CLMassnahmetyp, CEF and stuff
CODELIST_COMPENSATION_FUNDING_ID = 1049  # CLKombimassnahme
